For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
    • Introduction
    • Unified API
    • Linked Account
    • Merge Link
    • Use cases
      • Analyze compensation
      • Analyze payroll runs
      • Analyze project status
      • Analyze spend
      • Assign trainings
      • Auto provision
      • Automate gifts
      • Candidate journey recruiters
      • Candidate journey
      • Candidate matchmaking
      • Career development
      • Collect security evidence
      • Contact information
      • Create invoices
      • Create purchase orders
      • Customer payment reconciliation
      • Deal notifications
      • Employee analysis (GRC)
      • Enrich compliance data
      • Financial analysis
      • Forecast revenue
      • Headcount planning
      • Historical payroll
      • Internal database
      • Onboard and offboard
      • Opportunity recommendations
      • Org chart
      • Sales rep performance
      • Share specific documents
      • Source candidates
      • Source leads
      • Surface open jobs
      • Surface screening questions
      • Sync customers or suppliers
      • Sync expenses
      • Talent pool visibility
      • Track compliance
      • Track contracts
      • Track security controls
      • Train AI accounting
      • Train AI ATS
      • Train AI CRM
      • Train AI HRIS
      • Train AI ticketing
      • Upload contracts file
      • Vendor reconciliation
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Use cases

Customer (AR) payment reconciliation

Reconcile payment receipts in your platform and communicate accounting receivable invoices and payments to your customer's accounting platform

Key models and fields

ItemsGET
name
status
unit_price
purchase_price
purchase_account
sales_account
InvoicesGET
type
issue_date
status
total_amount
balance
AccountsGET
name
description
classification
type
PaymentsGET
contact
account
ContactsGET

Typical sync frequency
Highest

Industries

CPG Tools
Billing
Was this page helpful?
Previous

Create purchase orders

Next

Deal notification

Built with

1. User authorizes access

Your user authorizes your application to access their accounting service (e.g., QuickBooks Online, NetSuite) via an OAuth or similar authorization flow through Merge Link.

Your Product's Frontend

2. Retrieve your user's accounting configuration data

The following steps will cover the business logic you will need to configure in your backend to interact with Merge’s Unified API. “Settings” data refers to all information related to customers, accounts, items, and tracking categories. To do this, we will access four endpoints:

  • Sync your customer’s chart of accounts by using the GET /accounts endpoint.
    • You can use the classification and parent_account fields to compile account types and hierarchy!
  • Follow the steps outlined in the “Sync Customers or Suppliers” use case to sync your customers in your system with the third party.
  • If your customer has classes, locations, or departments configured, you can retrieve them from the accounting platform with GET /Tracking Categories.
  • Utilize the GET /items endpoint to pull in your customer’s products, goods, and services.
Merge and Third-Party Platforms

3. Retrieve customer invoices

Retrieve all invoices for all customers:

  • Use the GET /Invoices endpoint to access all invoices, and set the type query param = ACCOUNTS_RECEIVABLE to filter to only AR invoices.
  • Look at the balance and status fields to find invoices that are not fully paid.
Your Product's Backend

4. Reconcile invoices and payments

Based on the reconciliation process that occurs within your platform, you’ll programmatically create payments and/or invoices.

  • If an Invoice does not exist for a receipt of money, create an Invoice using the POST /invoice endpoint and corresponding Payment using the POST /payment endpoint.
  • If an Invoice is not yet paid, create a Payment against the Invoice using the POST /payment endpoint.
  • If you need to update an Invoice or Payment in the accounting platform, you can use PATCH /invoice or PATCH /payment endpoints.
Your Product's Backend
Make it easy to make sense of spend with Merge

Integrate today or talk to our sales team to learn how Merge unlocks hundreds of integrations in days - not years.


Get a demo

Related use cases

ACCT

Create invoices

Serve specific industries by either automating invoice or bill creation, or creating approval processes...

ACCT

Sync customers or suppliers

Read and write contacts to keep your database of customers/suppliers in sync with your customer's accounting system...